| Qore RestClientDataProvider Module Reference 2.0.1

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
RestClientDataProvider::RestClientDataProviderBase Class Reference

The REST client data provider class, provides API classes as children. More...

`#include <RestClientDataProviderBase.qc.dox.h>`

Inheritance diagram for RestClientDataProvider::RestClientDataProviderBase:
[legend]

## Public Member Functions
| constructor ()
| Creates the object.
| constructor (RestClient::RestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Static Public Member Functions
static string | getRequestPath (hash< auto > req)
| Returns the request path for the given request.
static string | getUriValue (auto v)
| Returns the value for the given query argument.

## Protected Attributes
RestClient::RestClient | rest
| The REST client object.

## Detailed Description

The REST client data provider class, provides API classes as children.